# Uses of Interface
org.eclipse.emf.compare.internal.adapterfactory.RankedAdapterFactoryDescriptor

Packages that use RankedAdapterFactoryDescriptor
Package
Description
org.eclipse.emf.compare.internal.adapterfactory

## Uses of RankedAdapterFactoryDescriptor in org.eclipse.emf.compare.internal.adapterfactory

Methods in org.eclipse.emf.compare.internal.adapterfactory that return types with arguments of type RankedAdapterFactoryDescriptor
Modifier and Type
Method
Description
`Set<RankedAdapterFactoryDescriptor>`
RankedAdapterFactoryDescriptor.Registry.`getDescriptors()`
Returns all `RankedAdapterFactoryDescriptor` of the registry.
`Set<RankedAdapterFactoryDescriptor>`
RankedAdapterFactoryDescriptorRegistryImpl.`getDescriptors()`
Returns all `RankedAdapterFactoryDescriptor` of the registry.
Constructor parameters in org.eclipse.emf.compare.internal.adapterfactory with type arguments of type RankedAdapterFactoryDescriptor
Modifier
Constructor
Description
``
`RankedAdapterFactoryDescriptorRegistryImpl(ComposedAdapterFactory.Descriptor.Registry delegateRegistry, com.google.common.collect.Multimap<Collection<?>,RankedAdapterFactoryDescriptor> adapterFactoryRegistryBackingMultimap)`
Creates an instance.
``
`RankedAdapterFactoryDescriptorRegistryImpl(ComposedAdapterFactory.Descriptor.Registry delegateRegistry, com.google.common.collect.Multimap<Collection<?>,RankedAdapterFactoryDescriptor> adapterFactoryRegistryBackingMultimap, Map<Object,Object> context)`
Creates an instance.